import { JsonObjectVisitor } from "./JsonObjectVisitor";
/**
 *
 */
export declare class RedirectionVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(value: string | object);
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    enclosedJsonObject(): any;
    visitId(): string;
    visitAndSetId(id: string): void;
    visitReferringDialogId(): string;
    visitReferringDialogMode(): string;
    visitAndSetReferringDialogAlias(dialogAlias: string): void;
    visitAndSetReferringDialogId(dialogId: string): void;
    visitAndSetReferringDialogMode(dialogMode: string): void;
    visitAndSetReferringDialogName(dialogName: string): void;
    visitReferringObject(): object;
}
